﻿/*
 * Chart object that implements displaying charts
 *
 * Author   : Mikhail Shiryaev
 * Created  : 2016
 * Modified : 2016
 *
 * Requires:
 * - utils.js
 */

// Rapid SCADA namespace
var scada = scada || {};
// Chart namespace
scada.chart = scada.chart || {};

scada.chart.dialog = {
    // Get chart URL
    getChartUrl: function (cnlNums, viewIDs, date, opt_period, opt_title) {
        return "plugins/ChartPro/ChartPro.aspx?cnlNums=" + cnlNums + "&viewIDs=" + viewIDs +
            "&" + scada.utils.dateToQueryString(date) +
            (opt_period ? "&period=" + opt_period : "") +
            (opt_title ? "&title=" + encodeURIComponent(opt_title) : "");
    },

    // Open chart in the new tab
    show: function (rootPath, cnlNums, viewIDs, date) {
        window.open(rootPath + this.getChartUrl(cnlNums, viewIDs, date));
    }
}